MailcrateDocs
Branding

Update workspace branding

PUT
/public/workspace-branding

Requires the workspace-branding:write scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Request Body

application/json
  1. body
logoMediaAssetId?|
Formatuuid
accentColor?|
Match^#[0-9a-fA-F]{6}$
footerText?|
Lengthlength <= 300

Response Body

application/json
  1. response
logoMediaAssetId*string|null
logoUrl*string|null
accentColor*string|null
accentForeground*string|null
footerText*string|null
Example Request
curl -X PUT 'https://api.mailcrate.io/public/workspace-branding' \  -H 'Authorization: Api-Key <api_key>' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "logoMediaAssetId": "string",  "logoUrl": "string",  "accentColor": "string",  "accentForeground": "string",  "footerText": "string"}